<?php

/**
 *
 * @link              https://www.felixcabrol.com
 * @package           FLXDashboardGroups
 *
 * @wordpress-plugin
 * Plugin Name:       FLX Dashboard Groups
 * Description:       When you have too much plugins. Also pages.
 * Version:           0.0.7
 * Author:            FLX
 * Author URI:        https://www.felixcabrol.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       flx_dashboard_groups
 * Domain Path:       /languages
 */

namespace FLXDashboardGroups;

if (!defined('WPINC')) die;

define('FLX_DASHBOARD_GROUPS_VERSION', '0.0.5');

function wtf($that, $die = false){
    echo '<pre>';
    var_dump($that);
    echo'</pre>';
    if ($die) die;
}

require plugin_dir_path(__FILE__) . 'includes/Autoload.php';
spl_autoload_register(['FLXDashboardGroups\\Autoload', 'load']);

register_activation_hook(__FILE__, 'FLXDashboardGroups\\PluginActivator::activate');
register_deactivation_hook(__FILE__, 'FLXDashboardGroups\\PluginActivator::deactivate');

$plugin = new FLXDashboardGroups();

add_action('admin_menu', function () use ($plugin) {
    $plugin->admin_menu();
});

add_action('admin_init', function () use ($plugin) {
    $plugin->init();
});
